package com.mvc.dao;

import com.mvc.entity.CustomizeGroup;
import com.mvc.entity.CustomizeGroupExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CustomizeGroupMapper {
    long countByExample(CustomizeGroupExample example);

    int deleteByExample(CustomizeGroupExample example);

    int deleteByPrimaryKey(Integer uid);

    int insert(CustomizeGroup record);

    int insertSelective(CustomizeGroup record);

    List<CustomizeGroup> selectByExample(CustomizeGroupExample example);

    CustomizeGroup selectByPrimaryKey(Integer uid);

    int updateByExampleSelective(@Param("record") CustomizeGroup record, @Param("example") CustomizeGroupExample example);

    int updateByExample(@Param("record") CustomizeGroup record, @Param("example") CustomizeGroupExample example);

    int updateByPrimaryKeySelective(CustomizeGroup record);

    int updateByPrimaryKey(CustomizeGroup record);
}